import { jsx } from "react/jsx-runtime";
import { PencilLineIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PencilLine = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "PencilLine", ...props, children: /* @__PURE__ */ jsx(PencilLineIcon, { weight: variant }) });
  }
);
PencilLine.displayName = "PencilLine";
Object.assign(PencilLine, { isGdsIcon: true });
export {
  PencilLine
};
